Bug 680997 - [abrt] bootchart-0.12.4-6.1.git20101122.fc15: batch.py:22:<lambda>:Error: invalid value (typically too big) for the size of the input (surface, pattern, etc.)
[abrt] bootchart-0.12.4-6.1.git20101122.fc15: batch.py:22:<lambda>:Error: inv...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:cffda307
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-28 13:09 EST by Peter Hjalmarsson
Modified: 2012-08-07 13:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:54:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (885 bytes, text/plain)
2011-02-28 13:09 EST, Peter Hjalmarsson
no flags Details

  None (edit)
Description Peter Hjalmarsson 2011-02-28 13:09:36 EST
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/pybootchartgui
comment: This only happends to some of the traces. I do not know what is so special with them, but may have to do with how long time the trace ran for (have happend twice AFAICR, one time while the system ran fsck on every partiton, the other one when I fogot the system waiting for crypt during initramfs for some minutes).
component: bootchart
executable: /usr/bin/pybootchartgui
kernel: 2.6.38-0.rc6.git4.1.fc15.x86_64
package: bootchart-0.12.4-6.1.git20101122.fc15
reason: batch.py:22:<lambda>:Error: invalid value (typically too big) for the size of the input (surface, pattern, etc.)
release: Fedora release 15 (Lovelock)
time: 1298916325
uid: 500

backtrace
-----
batch.py:22:<lambda>:Error: invalid value (typically too big) for the size of the input (surface, pattern, etc.)

Traceback (most recent call last):
  File "/usr/bin/pybootchartgui", line 23, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/site-packages/pybootchartgui/main.py", line 153, in main
    render()
  File "/usr/lib/python2.7/site-packages/pybootchartgui/main.py", line 144, in render
    batch.render(writer, res, options, filename)
  File "/usr/lib/python2.7/site-packages/pybootchartgui/batch.py", line 41, in render
    surface = make_surface (w, h)
  File "/usr/lib/python2.7/site-packages/pybootchartgui/batch.py", line 22, in <lambda>
    "png": (lambda w, h: cairo.ImageSurface(cairo.FORMAT_ARGB32, w, h), \
Error: invalid value (typically too big) for the size of the input (surface, pattern, etc.)

Local variables in innermost frame:
h: 5656
w: 34068

How to reproduce
-----
1.get a bootchart.tgz
2. run pybootchart gui on it
3.
Comment 1 Peter Hjalmarsson 2011-02-28 13:09:39 EST
Created attachment 481423 [details]
File: backtrace
Comment 2 Harald Hoyer 2011-03-01 02:40:49 EST
seems like cairo does not like ImageSurface this big...

Reassigning to get a comment, why a width of 34068 is too big.
Comment 3 Benjamin Otte 2011-03-04 07:28:57 EST
http://cgit.freedesktop.org/cairo/tree/src/cairo-image-surface.c#n51

I'll investigate if that limit is still valid and if we can go to allowing sizes up to 2^24 pixels, but for now I'd assume that we'll need to keep that requirement.
Comment 4 Fedora End Of Life 2012-08-07 13:54:57 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.